from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Directory, Boolean, String, Int, File

Mspicture_V0_1_0 = CommandToolBuilder(tool="mspicture", base_command=["mspicture"], inputs=[ToolInput(tag="in_arg_output_directory", input_type=Directory(optional=True), prefix="-o", doc=InputDocumentation(doc="[ --outdir ] arg (=.) : output directory")), ToolInput(tag="in_arg_configuration_file", input_type=Boolean(optional=True), prefix="-c", doc=InputDocumentation(doc="[ --config ] arg      : configuration file (optionName=value) (ignored)")), ToolInput(tag="in_arg_set_label", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc="[ --label ] arg       : set filename label to xxx")), ToolInput(tag="in_mz_low", input_type=String(optional=True), prefix="--mzLow", doc=InputDocumentation(doc=": set low m/z cutoff")), ToolInput(tag="in_mz_high", input_type=String(optional=True), prefix="--mzHigh", doc=InputDocumentation(doc=": set high m/z cutoff")), ToolInput(tag="in_timescale", input_type=String(optional=True), prefix="--timeScale", doc=InputDocumentation(doc=": set scale of time axis")), ToolInput(tag="in_arg_set_histogram", input_type=Boolean(optional=True), prefix="-b", doc=InputDocumentation(doc="[ --binCount ] arg    : set histogram bin count")), ToolInput(tag="in_render_linearly_time", input_type=Boolean(optional=True), prefix="-t", doc=InputDocumentation(doc="[ --time ]            : render linearly to time")), ToolInput(tag="in_render_linearly_scans", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc="[ --scan ]            : render linearly to scans")), ToolInput(tag="in_z", input_type=Boolean(optional=True), prefix="-z", doc=InputDocumentation(doc="[ --zRadius ] arg     : set intensity function z-score radius [=2]")), ToolInput(tag="in_arg_set_output", input_type=Boolean(optional=True), prefix="-w", doc=InputDocumentation(doc="[ --width ] arg       : set output bitmap width (default is calculated)")), ToolInput(tag="in_bry", input_type=Boolean(optional=True), prefix="--bry", doc=InputDocumentation(doc=": use blue-red-yellow gradient")), ToolInput(tag="in_grey", input_type=Boolean(optional=True), prefix="--grey", doc=InputDocumentation(doc=": use grey-scale gradient")), ToolInput(tag="in_bin_sum", input_type=Boolean(optional=True), prefix="--binSum", doc=InputDocumentation(doc=": sum intensity in bins [default = max intensity]")), ToolInput(tag="in_indicate_masses_selected", input_type=Boolean(optional=True), prefix="-m", doc=InputDocumentation(doc="[ --ms2locs ]         : indicate masses selected for ms2")), ToolInput(tag="in_shape", input_type=Int(optional=True), prefix="--shape", doc=InputDocumentation(doc=": shape of the pseudo2d gel markup\n[circle(default)|square].")), ToolInput(tag="in_arg_pepxml_file", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="[ --pepxml ] arg      : pepxml file location")), ToolInput(tag="in_arg_msinspect_output", input_type=File(optional=True), prefix="-i", doc=InputDocumentation(doc="[ --msi ] arg         : msInspect output file location")), ToolInput(tag="in_arg_peptide_file", input_type=Boolean(optional=True), prefix="-f", doc=InputDocumentation(doc="[ --flat ] arg        : peptide file location (nativeID rt mz score seq)")), ToolInput(tag="in_arg_processes_commands", input_type=Boolean(optional=True), prefix="-x", doc=InputDocumentation(doc="[ --commands ] arg    : processes commands")), ToolInput(tag="in_prints_extra_information", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc="[ --verbose ]         : prints extra information.")), ToolInput(tag="in_input_filenames", input_type=String(optional=True), position=0, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_arg_output_directory", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_arg_output_directory", type_hint=File()), doc=OutputDocumentation(doc="[ --outdir ] arg (=.) : output directory")), ToolOutput(tag="out_arg_msinspect_output", output_type=File(optional=True), selector=InputSelector(input_to_select="in_arg_msinspect_output", type_hint=File()), doc=OutputDocumentation(doc="[ --msi ] arg         : msInspect output file location"))], container="quay.io/biocontainers/proteowizard:3.0.9992", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Mspicture_V0_1_0().translate("wdl")

